Subject: Re: bug#38425: 27.0.50; [PATCH] vc-hg-create-tag: Possibility to create a branch

From: Andrii Kolomoiets <[email-masked]>
Date: Sat, 30 Nov 2019 01:01:30 +0200

On 30 Nov 2019, at 00:21, Dmitry Gutov <[email-masked]> wrote:
> 
> On 29.11.2019 20:30, Andrii Kolomoiets wrote:
>> On 29 Nov 2019, at 17:14, Dmitry Gutov <[email-masked]> wrote:
>>> 
>>> On 29.11.2019 17:03, Andrii Kolomoiets wrote:
>>>> +*** New user option 'vc-hg-create-bookmark' controls whether a bookmark
>>>> +or branch will be created when you invoke 'C-u C-x v s' ('vc-create-tag')
>>> 
>>> Do some Mercurial users or projects predominantly work with branches, while others - with bookmarks?
>> I think so. They even can be used together in one repository.
> 
> That "even" is why I'm asking. If, on average, the user has to deal with both then the new option won't help. vc-hg might as well only one or the other in vc-create-tag, leaving the alternative to the command line.

Why not? I've added option 'ask' so user can create branch or bookmark. Default value t is set for backward capability.